Event on Application Uninstallation: onAppUninstall
Scope:
basicWho can subscribe: any user
The onAppUninstall event is triggered when an application is uninstalled.
Events will not be sent to the application until the installation is complete. Check the application installation
What the Handler Receives
Data is transmitted as a POST request
{
"event": "ONAPPUNINSTALL",
"data": {
"LANGUAGE_ID": "de",
"CLEAN": 1
},
"ts": "1466439714",
"auth": {
"domain": "some-domain.bitrix24.com",
"server_endpoint": "https://oauth.bitrix.info/rest/",
"client_endpoint": "https://some-domain.bitrix24.com/rest/",
"member_id": "a223c6b3710f85df22e9377d6c4f7553",
"application_token": "51856fefc120afa4b628cc82d3935cce"
}
}
Request Parameters
Required parameters are marked with *
|
Name |
Description |
|
event* |
Symbolic event code — |
|
data* |
Data about the uninstalled application. The structure is described below |
|
ts* |
Date and time the event was sent from the queue |
|
auth* |
Authorization and account data. The structure is described below |
Parameter data
Required parameters are marked with *
|
Name |
Description |
|
LANGUAGE_ID* |
Installed language: |
|
CLEAN* |
Value of the "Clear application data" option set by the user during uninstallation. Values: |
Parameter auth
Required parameters are marked with *
|
Name |
Description |
|
domain* |
Bitrix24 account address |
|
server_endpoint* |
Authorization server address for token refresh |
|
client_endpoint* |
Common path for API method calls |
|
member_id* |
Unique account identifier |
|
application_token* |
Token for secure event handling |
When an application is uninstalled, all access permissions for the application to the API are revoked. Therefore, even though the event handler will receive authorization data, it can no longer use the API on behalf of the uninstalled application.
Continue Learning
- Event Handler
- Register a new event handler event.bind
- Event After Successful Application Installation OnAppInstall
- Event on Application Payment onAppPayment
- Event on Receiving Permission for Using onAppMethodConfirm Methods
- Event onUserAdd